- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleValueInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 170 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleValueInterface:
[legend]

List of all members.

## Public Member Functions
QAccessible2Interface * | qAccessibleValueCastHelper ()
virtual | ~QAccessibleValueInterface ()
virtual QVariant | currentValue ()=0
virtual void | setCurrentValue (const QVariant &value)=0
virtual QVariant | maximumValue ()=0
virtual QVariant | minimumValue ()=0

## Constructor & Destructor Documentation

virtual ~QAccessibleValueInterface | ( |  | ) | `[inline, virtual]`

Definition at line 175 of file qaccessible2.h.

    {}

## Member Function Documentation

QAccessible2Interface* qAccessibleValueCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 173 of file qaccessible2.h.

    { return this; }

virtual QVariant currentValue | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void setCurrentValue | ( | const QVariant & | value | ) | `[pure virtual]`

Search for all occurrences

virtual QVariant maximumValue | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual QVariant minimumValue | ( |  | ) | `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface
QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface QAccessibleValueInterface